Creates a SubmitBillingResponse business transaction from a metadata structure.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
The buyer issues a billing response to inform the seller of the invoice or credit note processing status.This is especially useful in cases where the seller might be required to provide more information.
It also facilitates automatic document processing because the following action can be initiated immediately after the response is received.
To successfully send in a document, the
sender.identifiermust have an ISO identifier corresponding to the company logged in and issuing the document.Either you were provided with the ISO identifier (Business participant identifiers) or have it attached to your credentials here.
More information (click to expand)
Due to limitations of this documentation platform, to successfully create a document, you must fill in parameters in the request Body Params below (you must be logged in to see your identifiers):
- You must replace
{{selfIdentifier}}in nodesender.identifierwith value 0196:1111118899 (or one corresponding to the logged in sender).- You must replace
{{otherIdentifier}}nodes inmessageHandling.receiverIdentifierandreceiver.identifierwith value 0196:2222228899 or a value corresponding to the receiver of the document.- You can also replace
{{selfName}}(SenderIssuer Company) and{{otherName}}(Receiver Company) where applicable.
The following example contains the minimum JSON body required to create a valid billing response. These elements are mandatory.
{
"messageHandling": {
"receiverIdentifier": "0196:2222228899",
"fallbackEmailAddress": "[email protected]"
},
"invoiceResponse": {
"responseNo": "INR1234",
"issueDate": "2019-11-06",
"status": "MessageAcknowledgement",
"sender": {
"name": "Test Party One",
"identifier": "0196:1111118899"
},
"receiver": {
"name": "Test Party Two",
"identifier": "0196:2222228899"
},
"documentReference": {
"documentNo": "INV1234",
"documentType": "Invoice"
}
}
}It's also possible to add the optional message identifier for the responding invoice/credit note and then skip adding sender/receiver and document reference.
If the optional original message identifier is specified then it will overwrite the information specified about sender/receiver and document reference in metadata.
The request body schema includes all mandatory and optional elements.
For more information about allowed values for metadata elements, see Metadata.
